Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: martin rudalics <[email-masked]>
Date: Mon, 23 Jul 2018 08:51:11 +0200

>> My knowledge of what scrolling should do is too limited.
 >
 > (It seems like I need to put my instructor hat on today ;-)
 >
 > Let me fill you in: scrolling just needs to set the window's start
 > point to the desired value, all the rest is done by redisplay.  As
 > simple as that.

Apparently we want scrolling also to second-guess the desired value.
So things seem more complicated than that.

 > (Well, if you need to scroll more than one screenful, then you need to
 > worry about a few other things, like setting point such that Emacs
 > won't scroll back to where point is.  But this is not one of those
 > cases, we just scroll by one line here.)

Emacs scrolls by more than one line in the case at hand.

martin